Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.support
Class JmxModernSupport

    java.lang.Object
      org.mule.module.management.support.AbstractJmxSupport
          org.mule.module.management.support.JmxModernSupport

All Implemented Interfaces:
  JmxSupport

    public class JmxModernSupport

extends AbstractJmxSupport

Support class using JMX 1.2 and newer calls.

Field Summary

Fields inherited from interface org.mule.module.management.support.JmxSupport
`DEFAULT_JMX_DOMAIN_PREFIX`

Constructor Summary
`JmxModernSupport()`

Method Summary
`String` | `escape(String input)` Uses JMX 1.2 and higher standard escape method and semantics.
`protected Collection` | `getDomains(MBeanServer server)` List all domains of this MBean server.
`ObjectName` | `getObjectName(String name)` For modern JMX implementation just delegate to a standard factory method.

Methods inherited from class org.mule.module.management.support.AbstractJmxSupport
`getDomainName, getDomainName, resolveDomainClash`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxModernSupport

    public JmxModernSupport()

Method Detail

### escape

    public String escape(String input)

  Uses JMX 1.2 and higher standard escape method and semantics.

  Parameters:
    `input` - value to escape for JMX compliance
  Returns:
    value valid for JMX

### getObjectName

    public ObjectName getObjectName(String name)
                             throws MalformedObjectNameException

  For modern JMX implementation just delegate to a standard factory method.

  Parameters:
    `name` - object name
  Returns:
    ObjectName for MBeanServer
  Throws:
    `MalformedObjectNameException` - for invalid names

### getDomains

    protected Collection getDomains(MBeanServer server)

  List all domains of this MBean server.

  Specified by:
    `getDomains` in class `AbstractJmxSupport`
  Parameters:
    `server` - server to contact
  Returns:
    a collection of unique JMX domains

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.